## ev-page-cache

ev-page-cache

## Functions

EvPageCache * | ev_page_cache_new ()
void | ev_page_cache_set_page_range ()
EvJobPageDataFlags | ev_page_cache_get_flags ()
void | ev_page_cache_set_flags ()
EvMappingList * | ev_page_cache_get_link_mapping ()
EvMappingList * | ev_page_cache_get_image_mapping ()
EvMappingList * | ev_page_cache_get_form_field_mapping ()
EvMappingList * | ev_page_cache_get_annot_mapping ()
cairo_region_t * | ev_page_cache_get_text_mapping ()

## Types and Values

| EvPageCache
| EvPageCacheClass

## Object Hierarchy

        GObject
        ╰── EvPageCache

## Description

## Functions

### ev_page_cache_new ()

    EvPageCache *
    ev_page_cache_new (EvDocument *document);

### ev_page_cache_set_page_range ()

    void
    ev_page_cache_set_page_range (EvPageCache *cache,
                                  gint start,
                                  gint end);

### ev_page_cache_get_flags ()

    EvJobPageDataFlags
    ev_page_cache_get_flags (EvPageCache *cache);

### ev_page_cache_set_flags ()

    void
    ev_page_cache_set_flags (EvPageCache *cache,
                             EvJobPageDataFlags flags);

### ev_page_cache_get_link_mapping ()

    EvMappingList *
    ev_page_cache_get_link_mapping (EvPageCache *cache,
                                    gint page);

### ev_page_cache_get_image_mapping ()

    EvMappingList *
    ev_page_cache_get_image_mapping (EvPageCache *cache,
                                     gint page);

### ev_page_cache_get_form_field_mapping ()

    EvMappingList *
    ev_page_cache_get_form_field_mapping (EvPageCache *cache,
                                          gint page);

### ev_page_cache_get_annot_mapping ()

    EvMappingList *
    ev_page_cache_get_annot_mapping (EvPageCache *cache,
                                     gint page);

### ev_page_cache_get_text_mapping ()

    cairo_region_t *
    ev_page_cache_get_text_mapping (EvPageCache *cache,
                                    gint page);

## Types and Values

### EvPageCache

    typedef struct _EvPageCache EvPageCache;

### EvPageCacheClass

    typedef struct _EvPageCacheClass EvPageCacheClass;